Deny Assignments - Get

指定した拒否割り当てを取得します。

GET https://management.azure.com/{scope}/providers/Microsoft.Authorization/denyAssignments/{denyAssignmentId}?api-version=2022-04-01

URI パラメーター

Name / 必須 型 説明
denyAssignmentId
path True

string

取得する拒否割り当ての ID。

scope
path True

string

拒否割り当てのスコープ。

api-version
query True

string

minLength: 1

この操作に使用する API バージョン。

応答

Name 型 説明
200 OK

DenyAssignment

OK - 拒否割り当てに関する情報を返します。

Other Status Codes

ErrorResponse

操作が失敗した理由を説明するエラー応答。

アクセス許可

この API を呼び出すには、次のアクセス許可を持つロールがお客様に割り当てられている必要があります。 詳細については、Azure の組み込みロールに関するページを参照してください。

Microsoft.Authorization/denyAssignments/read

セキュリティ

azure_auth

Azure Active Directory OAuth2 フロー

型: oauth2
フロー: implicit
Authorization URL (承認 URL): https://login.microsoftonline.com/common/oauth2/authorize

スコープ

Name 説明
user_impersonation ユーザー アカウントを偽装する

例

Get deny assignment by name

要求のサンプル

GET https://management.azure.com/subscriptions/subId/resourcegroups/rgname/providers/Microsoft.Authorization/denyAssignments/denyAssignmentId?api-version=2022-04-01

応答のサンプル

{
  "name": "denyAssignmentId",
  "type": "Microsoft.Authorization/denyAssignments",
  "id": "/subscriptions/subId/resourcegroups/rgname/providers/Microsoft.Authorization/denyAssignments/denyAssignmentId",
  "properties": {
    "description": "Deny assignment description",
    "denyAssignmentName": "Deny assignment name",
    "doNotApplyToChildScopes": false,
    "excludePrincipals": [
      {
        "type": "principalType2",
        "id": "principalId2"
      }
    ],
    "isSystemProtected": true,
    "permissions": [
      {
        "actions": [
          "action"
        ],
        "dataActions": [],
        "notActions": [],
        "notDataActions": []
      }
    ],
    "principals": [
      {
        "type": "principalType1",
        "id": "principalId1"
      }
    ],
    "scope": "/subscriptions/subId/resourcegroups/rgname"
  }
}

定義

Name 説明
DenyAssignment

拒否割り当て

DenyAssignmentPermission

割り当てアクセス許可を拒否します。

ErrorAdditionalInfo

リソース管理エラーの追加情報。

ErrorDetail

エラーの詳細。

ErrorResponse

エラー応答

Principal

エンティティの最後に変更された名前

DenyAssignment

拒否割り当て

Name 型 説明
id

string

拒否割り当て ID。

name

string

拒否割り当て名。

properties.condition

string

拒否割り当ての条件。 これにより、割り当て可能なリソースが制限されます。例: @Resource[Microsoft.Storage/storageAccounts/blobServices/containers:ContainerName] StringEqualsIgnoreCase 'foo_storage_container'

properties.conditionVersion

string

条件のバージョン。

properties.createdBy

string

割り当てを作成したユーザーの ID

properties.createdOn

string (date-time)

作成された時刻

properties.denyAssignmentName

string

拒否割り当ての表示名。

properties.description

string

拒否割り当ての説明。

properties.doNotApplyToChildScopes

boolean

拒否割り当てが子スコープに適用されるかどうかを判断します。 既定値は false です。

properties.excludePrincipals

Principal[]

拒否割り当てが適用されないプリンシパルの配列。

properties.isSystemProtected

boolean

この拒否割り当てが Azure によって作成され、編集または削除できないかどうかを指定します。

properties.permissions

DenyAssignmentPermission[]

拒否割り当てによって拒否されるアクセス許可の配列。

properties.principals

Principal[]

拒否割り当てが適用されるプリンシパルの配列。

properties.scope

string

拒否割り当てスコープ。

properties.updatedBy

string

割り当てを更新したユーザーの ID

properties.updatedOn

string (date-time)

更新された時刻

type

string

拒否割り当ての種類。

DenyAssignmentPermission

割り当てアクセス許可を拒否します。

Name 型 説明
actions

string[]

拒否割り当てでアクセス権が付与されないアクション。

condition

string

拒否割り当てアクセス許可の条件。 これにより、適用されるリソースが制限されます。

conditionVersion

string

条件のバージョン。

dataActions

string[]

拒否割り当てによってアクセスが許可されないデータ アクション。

notActions

string[]

拒否割り当てから除外するアクションは、アクセス権を付与しません。

notDataActions

string[]

拒否割り当てから除外するデータ アクションは、アクセス権を付与しません。

ErrorAdditionalInfo

リソース管理エラーの追加情報。

Name 型 説明
info

object

追加情報。

type

string

追加情報の種類。

ErrorDetail

エラーの詳細。

Name 型 説明
additionalInfo

ErrorAdditionalInfo[]

エラーの追加情報。

code

string

エラー コード。

details

ErrorDetail[]

エラーの詳細。

message

string

エラー メッセージ。

target

string

エラーターゲット。

ErrorResponse

エラー応答

Name 型 説明
error

ErrorDetail

エラー オブジェクト。

Principal

エンティティの最後に変更された名前

Name 型 説明
displayName

string

変更されたプリンシパルの名前

email

string

プリンシパルの電子メール

id

string

変更を行ったプリンシパルの ID

type

string

ユーザー、グループなどのプリンシパルの種類